ContactsContactid

Update contact fields (internal only)

Update a contact's editable fields. **Internal/admin only** (requires the `internal` plan); other orgs receive 403. **Free (0 credits).**

PATCH
/contacts/{contactId}

Update a contact's editable fields. Internal/admin only (requires the internal plan); other orgs receive 403. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

contactId*string
Formatuuid

Request Body

application/json

name?string
title?|
is_district_contact?|

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "district_id": "550e8400-e29b-41d4-a716-446655440000",
  "school_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "string",
  "title": "string",
  "email": "string",
  "phone": "string",
  "state": "string",
  "is_district_contact": true,
  "linkedin_url": "string",
  "profile_summary": "string",
  "key_facts": {
    "property1": null,
    "property2": null
  },
  "source": "string",
  "source_url": "string",
  "enrichment_status": "pending",
  "enriched_at": "string",
  "enrichment_error": "string",
  "enrichment_retry_count": -9007199254740991,
  "qualification_score": 0,
  "qualification_justification": "string",
  "qualified_at": "string",
  "email_status": "pending",
  "email_error": "string",
  "email_retry_count": -9007199254740991,
  "emailed": true,
  "emailed_at": "string",
  "email_bounced": true,
  "email_bounced_at": "string",
  "email_confidence_score": -9007199254740991,
  "email_verification_status": "string",
  "email_verified_at": "string",
  "hubspot_contact_id": "string",
  "hubspot_synced_at": "string",
  "hubspot_sync_status": "pending",
  "hubspot_sync_error": "string",
  "notes": "string",
  "discovered_at": "string",
  "last_updated_at": "string",
  "created_at": "string",
  "_access": {
    "is_unlocked": true,
    "is_unlocking": true,
    "unlocked_at": "string",
    "credits_spent": 0,
    "unlock_cost": 0
  }
}
Empty
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty
Empty